Subject: bug#12915: 24.2.50; Visiting a file via drag-and-drop should add it to the history of visited files

From: Dani Moncayo <[email-masked]>
Date: Sun, 13 Jan 2013 11:15:45 +0100

> When this feature was discussed last time at
> http://thread.gmane.org/gmane.emacs.pretest.bugs/9253/focus=43774
> I found it too irritating that it clutters the minibuffer history
> with too many unnecessary elements that were not entered manually.
>
>> I think it is best done by adding an optional argument `add-history' to
>> `find-file' (and similar functions like `find-file-other-frame'), so
>> that Lisp callers can specify to update `file-name-history' even if the
>> file name was not read interactively.  Any objections?
>
> Since this is a matter of personal preference, I think not Lisp callers
> but Emacs users should be able to specify what to add to the history.

FWIW, I also don't want to pollute the minibuffer history, obviously.
That would make harder to find the entries you care about.

Perhaps I wasn't clear enough, but what I had in mind was adding to
the history every file visited _under direct user request_ (with
either `C-x C-f', drag-n-drop, click on dired buffer, jump to
bookmark, menu item, command line argument, etc).

-- 
Dani Moncayo